%define	name	xlockmore
%define	version	5.19
%define release	%mkrel 2
%define	enable_matrix	0

# Allow --with[out] <feature> at rpm command line build
%{?_without_matrix: %{expand: %%define enable_matrix 0}}
%{?_with_matrix: %{expand: %%define enable_matrix 1}}


Name: 		%{name}
Summary:	An X terminal locking program
Version:	%{version}
Release:	%{release}
License:	MIT
Group:		Graphical desktop/Other
Url:		http://www.tux.org/~bagleyd/xlockmore.html
Source:		ftp://ftp.tux.org/pub/tux/bagleyd/xlockmore/%{name}-%{version}.tar.bz2
Source1:	xlock.pamd
Patch0:		xlockmore-5.08-soundpath.patch.bz2
# (fc) 5.04-2mdk disable matrix screensaver
Patch1:		xlockmore-5.04-matrix.patch.bz2
Patch2:		xlockmore-5.19-pam_workaround.patch.bz2
Patch3:		xlockmore-5.19-include_ftgl_path.patch.bz2
Requires:	pam >= 0.59 
Requires:	fortune-mod
Requires:	%{_sysconfdir}/pam.d/system-auth
BuildRequires:	esound-devel pam-devel Mesa-common-devel xpm-devel XFree86-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screensaver until you type
in your password.

Install the xlockmore package if you need a locking program to secure
X sessions.

%prep
%setup -q
%patch0 -p1 -b .soundpath
%if !%enable_matrix
%patch1 -p1 -b .matrix
%endif
%patch2 -p1 -b .pam_workaround
%patch3 -p1 -b .include_ftgl_path

%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" %configure2_5x --without-motif --without-gtk2 --without-gtk --enable-pam
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore

perl -p -i -e 's/-o root//g' Makefile */Makefile
%makeinstall

install -m644 xlock/xlock.man -D $RPM_BUILD_ROOT%{_mandir}/man1/xlock.1
install -m644 xlock/XLock.ad -D $RPM_BUILD_ROOT%{_sysconfdir}/X11/app-defaults/XLock
install -m644 %SOURCE1 -D $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/xlock

cp sounds/*.au $RPM_BUILD_ROOT%{_datadir}/sounds/xlockmore
rm -rf $RPM_BUILD_ROOT%{_mandir}/xlock.1*
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/X11/app-defaults/XLock
chmod 755 $RPM_BUILD_ROOT%{_bindir}/xlock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%config(noreplace) %{_sysconfdir}/pam.d/*

%changelog
* Tue Aug 16 2005 Samir Bellabes <sbellabes@mandriva.com> 5.19-2mdk
- Use workaround for pam problem (same as for Gentoo) (bug #17504)
- fix bad path for including FTGL's header
- And it should be a good idea to test package before uploading, next time

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 5.19-1mdk
- new release

* Thu Aug 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 5.18-1mdk
- new release from Crispin Boylan
- %%mkrel 

* Wed Jun  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 5.11-2mdk
- rebuild for new g++

* Mon Jan 05 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.11-1mdk
- 5.11
- cosmetics

* Tue Oct 21 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.08-4mdk
- nuke unpackaged files

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 5.08-3mdk
- rebuild for rewriting /etc/pam.d file

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 5.08-2mdk
- rebuild

* Tue Jun 24 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 5.08-1mdk
- New version 5.08
- Clean spec file
- Patch0: Updated for new version5.08

* Mon Feb 24 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 5.06-1mdk
- New version 5.06
- Add unpackaged files

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.04-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.04-3mdk
- Automated rebuild with gcc3.2

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 5.04-2mdk
- Patch1: disable matrix screensaver

* Sat Jun 15 2002 Frederic Lepied <flepied@mandrakesoft.com> 5.04-1mdk
- 5.04

* Mon May 06 2002 Aurelien Lemaire <alemaire@mandrakesoft.com> 5.03-1mdk
- New release 5.03
- Add URL tag

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 5.01.2-4mdk
- BuildRequires: XFree86-devel
- Copyright --> license

* Wed Sep 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.01.2-3mdk
- As Lord Pitoun requires fix it so it works nicely with pam. :)

* Sat Jun 30 2001 Stefan van der Eijk <stefan@eijk.nu> 5.01.2-2mdk
- BuildRequires: esound-devel
- BuildRequires: xpm-devel
- Removed BuildRequires: libesound-devel

* Wed Jun 8 2001 Wenjun ZOU <zwj@mandrakesoft.com> 5.01.2-1mdk
- a new release

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.17.2-3mdk
- Correct BuildRequires (thanks to 	Ed Avis)

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 4.17.2-2mdk
- Correct bug 883
- Add missing sound files
- Clean spec

* Tue Nov 14 2000 Geoffrey Lee  <snailtalk@mandrakesoft.com> 4.17.2-1mdk
- new and shiny source.

* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.17.1-3mdk
- fix build with gcc-2.96
- rebuild against new libstdc++

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 4.17.1-2mdk
- pam_stack.
- noreplace.

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.17.1-1mdk
- security release

* Fri Jul  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-2mdk
- regenerate autoconf if you want to link with the sane Mesa from XFree4.
- Fix build with XFree4.

* Sun Jun  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.16.1-1mdk
- Spec clean-up.
- 4.16.1 (fix security bug: it print the shadow password information).

* Fri Mar 30 2000 DindinX <odin@mandrakesoft.com> 4.15-4mdk
- Fix group
- Spec updates

* Wed Dec 08 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Really link against the right lib...
- fix non-root build

* Wed Dec 08 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild linking against Mesa 3.1cvs (uses OpenGL naming of libs instead
  of libMesa*.so stuff)

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 4.15

* Mon Nov  1 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check

* Mon Nov  1 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Sat Jul 17 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 4.14

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 4.12

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- take out some modules to avoid TMv

* Fri Sep 18 1998 Bill Nottingham <notting@redhat.com>
- turned PAM support on in ./configure 

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to 4.11

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>
- upgraded to 4.09
- removed Michael's PAM patch (it's now available in the sources)

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- upgrade to 4.05
- add wmconfig

* Mon Oct 13 1997 Michael K. Johnson <johnsonm@redhat.com>
- Upgraded to 4.04
- Changed pam to new conventions
- Use configure instead of imake
- buildroot

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- moved from pam.conf to pam.d

